Index: /branches/comu-ver2/data/module/Net/UserAgent/Mobile/EZweb.php
===================================================================
--- /branches/comu-ver2/data/module/Net/UserAgent/Mobile/EZweb.php	(revision 17140)
+++ /branches/comu-ver2/data/module/Net/UserAgent/Mobile/EZweb.php	(revision 18188)
@@ -5,19 +5,36 @@
  * PHP versions 4 and 5
  *
- * LICENSE: This source file is subject to version 3.0 of the PHP license
- * that is available through the world-wide-web at the following URI:
- * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
- * the PHP License and are unable to obtain it through the web, please
- * send a note to license@php.net so we can mail you a copy immediately.
+ * Copyright (c) 2003-2009 KUBO Atsuhiro <kubo@iteman.jp>,
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ *
+ *     * Redistributions of source code must retain the above copyright
+ *       notice, this list of conditions and the following disclaimer.
+ *     * Redistributions in binary form must reproduce the above copyright
+ *       notice, this list of conditions and the following disclaimer in the
+ *       documentation and/or other materials provided with the distribution.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
  *
  * @category   Networking
  * @package    Net_UserAgent_Mobile
- * @author     KUBO Atsuhiro <iteman@users.sourceforge.net>
- * @copyright  2003-2008 KUBO Atsuhiro <iteman@users.sourceforge.net>
- * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
+ * @author     KUBO Atsuhiro <kubo@iteman.jp>
+ * @copyright  2003-2009 KUBO Atsuhiro <kubo@iteman.jp>
+ * @license    http://www.opensource.org/licenses/bsd-license.php  New BSD License
  * @version    CVS: $Id$
  * @link       http://www.au.kddi.com/ezfactory/tec/spec/4_4.html
  * @link       http://www.au.kddi.com/ezfactory/tec/spec/new_win/ezkishu.html
- * @see        Net_UserAgent_Mobile_Common
  * @since      File available since Release 0.1.0
  */
@@ -31,7 +48,6 @@
  * EZweb implementation
  *
- * Net_UserAgent_Mobile_EZweb is a subclass of
- * {@link Net_UserAgent_Mobile_Common}, which implements EZweb (WAP1.0/2.0)
- * user agents.
+ * Net_UserAgent_Mobile_EZweb is a subclass of {@link Net_UserAgent_Mobile_Common},
+ * which implements EZweb (WAP1.0/2.0) user agents.
  *
  * SYNOPSIS:
@@ -58,11 +74,10 @@
  * @category   Networking
  * @package    Net_UserAgent_Mobile
- * @author     KUBO Atsuhiro <iteman@users.sourceforge.net>
- * @copyright  2003-2008 KUBO Atsuhiro <iteman@users.sourceforge.net>
- * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    Release: 0.31.0
+ * @author     KUBO Atsuhiro <kubo@iteman.jp>
+ * @copyright  2003-2009 KUBO Atsuhiro <kubo@iteman.jp>
+ * @license    http://www.opensource.org/licenses/bsd-license.php  New BSD License
+ * @version    Release: 1.0.0
  * @link       http://www.au.kddi.com/ezfactory/tec/spec/4_4.html
  * @link       http://www.au.kddi.com/ezfactory/tec/spec/new_win/ezkishu.html
- * @see        Net_UserAgent_Mobile_Common
  * @since      Class available since Release 0.1.0
  */
@@ -157,7 +172,7 @@
             // KDDI-TS21 UP.Browser/6.0.2.276 (GUI) MMP/1.1
             $this->_xhtmlCompliant = true;
-            list($this->_rawModel, $browser, $opt, $this->_serverName) =
+            @list($this->_rawModel, $browser, $opt, $this->_serverName) =
                 explode(' ', $matches[1], 4);
-            list($this->name, $version) = explode('/', $browser);
+            @list($this->name, $version) = explode('/', $browser);
             $this->version = "$version $opt";
         } else {
@@ -166,10 +181,8 @@
             @list($browser, $this->_serverName, $comment) =
                 explode(' ', $userAgent, 3);
-            list($this->name, $software) = explode('/', $browser);
-            list($this->version, $this->_rawModel) =
-                explode('-', $software);
+            @list($this->name, $software) = explode('/', $browser);
+            @list($this->version, $this->_rawModel) = explode('-', $software);
             if ($comment) {
-                $this->_comment =
-                    preg_replace('/^\((.*)\)$/', '$1', $comment);
+                $this->_comment = preg_replace('/^\((.*)\)$/', '$1', $comment);
             }
         }
@@ -182,7 +195,5 @@
      * create a new {@link Net_UserAgent_Mobile_Display} class instance
      *
-     * @return object a newly created {@link Net_UserAgent_Mobile_Display}
-     *     object
-     * @see Net_UserAgent_Mobile_Display
+     * @return Net_UserAgent_Mobile_Display
      */
     function makeDisplay()
@@ -190,15 +201,11 @@
         @list($width, $height) =
             explode(',', $this->getHeader('X-UP-DEVCAP-SCREENPIXELS'));
-        $screenDepth =
-            explode(',', $this->getHeader('X-UP-DEVCAP-SCREENDEPTH'));
+        $screenDepth = explode(',', $this->getHeader('X-UP-DEVCAP-SCREENDEPTH'));
         $depth = $screenDepth[0] ? pow(2, (integer)$screenDepth[0]) : 0;
-        $color =
-            $this->getHeader('X-UP-DEVCAP-ISCOLOR') === '1' ? true : false;
-        return new Net_UserAgent_Mobile_Display(array(
-                                                      'width'  => $width,
+        $color = $this->getHeader('X-UP-DEVCAP-ISCOLOR') === '1' ? true : false;
+        return new Net_UserAgent_Mobile_Display(array('width'  => $width,
                                                       'height' => $height,
                                                       'color'  => $color,
-                                                      'depth'  => $depth
-                                                      )
+                                                      'depth'  => $depth)
                                                 );
     }
@@ -293,4 +300,20 @@
     {
         return substr($this->_rawModel, 2, 1) == 3 ? true : false;
+    }
+
+    // }}}
+    // {{{ getUID()
+
+    /**
+     * Gets the UID of a subscriber.
+     *
+     * @return string
+     * @since Method available since Release 1.0.0RC1
+     */
+    function getUID()
+    {
+        if (array_key_exists('HTTP_X_UP_SUBNO', $_SERVER)) {
+            return $_SERVER['HTTP_X_UP_SUBNO'];
+        }
     }
 
